/*******************************************************************************

  @doc PublicDsp64SdkApi

  Copyright (C) 2008 - 2009 Odin TeleSystems Inc., All Rights Reserved

  SAA-10xx-1 OTX DSP C64x Software Development Kit (SDK)

  Macro, Constant, and type definitions for the DSP C64x SDK API

  @module
  Dsp64Types.h | Constants, Macros, and Types for the DSP C64x SDK

  @contents2
  Dsp64Types.h |

  @index enum struct type | Dsp64Types

  @contents2
  Constants, Macros, and Types (Dsp64Types.h) |

  @head3 DSP C64x SDK Macro, Constant, and Type Reference |

  @index enum struct type | Dsp64Def


*******************************************************************************/
#ifndef OTX_XTYPES_H
#define OTX_XTYPES_H

#include <xdc/std.h>

//typedef unsigned long OTX_HANDLE;

#define OTX_UINT16 unsigned short
#define OTX_INT16  XDAS_Int16

#define OTX_UINT32 unsigned int//unsigned long
#define OTX_INT32  XDAS_Int32
#define OTX_RESULT XDAS_Int32
#define OTX_UINT8 unsigned char 

#define DSP_OTX_HANDLE XDAS_Int32

#define OTX_UINT64 unsigned long long

#endif


/*--------------------------------------------------------------------------*\

  Copyright (C) Odin TeleSystems Inc., 2008-2009


  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

\*--------------------------------------------------------------------------*/


